Get aggregated product status for multiple antennas
curl --request GET \
--url https://app.buylo.ai/api/antennas/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.buylo.ai/api/antennas/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.buylo.ai/api/antennas/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"product_id": "ABC123",
"total_epcs": 3,
"unique_items": 3,
"epc_hashes": [
"8aaedfc3559d0ce545ca55bcea31aad2",
"2b1c7f8c2aab4e33a5e09a2d77f3b611"
],
"product_name": {
"en": "Brazil Santos Coffee",
"cs": "Brazilská káva Santos"
},
"product_ean": "8594056780017"
}
]
}{
"message": "<string>"
}Antennas
Get aggregated product status for multiple antennas
Returns the current antenna readings (products) aggregated from all specified antennas. The antennas are identified by their UUIDs passed as query parameters.
Returns an empty array if no UUIDs are provided or no active RFID readings are present.
GET
/
api
/
antennas
/
status
Get aggregated product status for multiple antennas
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
List of antenna UUIDs to query
Response
Aggregated product status from the specified antennas
Show child attributes
Show child attributes
⌘I